Loading...
Searching...
No Matches
Exiv2::DataBufRef Struct Reference

Auxiliary type to enable copies and assignments, similar to std::auto_ptr_ref. See http://www.josuttis.com/libbook/auto_ptr.html for a discussion. More...

`#include <types.hpp>`

## Public Member Functions

| DataBufRef (std::pair< byte *, long > rhs)
| Constructor.

## Public Attributes

std::pair< byte *, long > | p
| Pointer to a byte array and its size.

## Detailed Description

Auxiliary type to enable copies and assignments, similar to std::auto_ptr_ref. See http://www.josuttis.com/libbook/auto_ptr.html for a discussion.

The documentation for this struct was generated from the following file:

- types.hpp